import request from '@/utils/system/request'

// 查询字典数据列表
export function getCommonDictList(params) {
    return request({
        url: '/agent-service/common/dictList',
        method: 'get',
        params
    })
}

// 上传图片
export function attachImage(data) {
    return request({
        url: '/agent-service/attach/image',
        method: 'post',
        data,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    })
}

// 文件上传
export function attachFile(data) {
    return request({
        url: '/agent-service/attach/file',
        method: 'post',
        data,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    })
}

// 创建工单
export function workorderCreate(data) {
    return request({
        url: '/agent-service/workorder/create',
        method: 'post',
        data,
    })
}